Get Resource Action Form Data
Returns resolved binding values based on the properties of the resource for given resource operation
Returns resolved binding values based on the properties of the resource for given resource operation
Request
URI
POST
https://vcfa-10-162-161-9.vcfd.broadcom.net/form-service/api/custom/resource-actions/{id}/form-data
COPY
Path Parameters
string
id
Required
Resource operation id
Query Parameters
string
projectId
Optional
The id of the project
Request Body
Responses
200
'Success' with resource action form data
Returns
Data
of type(s)
application/json
{
"entries": [
{
"key": "string",
"value": {
"value": {},
"type": {
"dataType": "string",
"referenceType": "string",
"fields": [
{
"label": "string",
"description": "string",
"signpost": "string",
"type": "FormSchemaFieldType Object",
"step": "number",
"default": {},
"valueList": {},
"placeholder": "string",
"constraints": {
"matchConstraint": {
"match": {}
},
"constraints": {
"constraints": {}
}
},
"refresh": {
"type": "string"
},
"shortValueName": [
"string"
],
"id": "string",
"valueTree": {}
}
],
"isMultiple": false
}
}
}
]
}
array of
object
entries
Optional
entries
403
'Forbidden' no forms viewer access rights
Operation doesn't return any data structure
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/form-service/api/custom/resource-actions/{id}/form-data